export P=libpq
export V=10.3
export B=1
export MAINTAINER=JuergenFischer

savelog() {
	local f=$1
	rm -f $f.9
	for i in $(seq 8 -1 0); do [ -f "$f.$i" ] && mv $f.$i $f.$(( i + 1 )); done
	[ -f $f ] && mv $f $f.0
}

savelog package.log
exec > >(tee package.log) 2>&1
date

set -e

[ -f postgresql-$V-4-windows-binaries.zip ] || wget "http://sbp.enterprisedb.com/getfile.jsp?fileid=11634" -O postgresql-$V-4-windows-binaries.zip
[ -f postgresql-$V-4-windows-x64-binaries.zip ] || wget "http://sbp.enterprisedb.com/getfile.jsp?fileid=11635" -O postgresql-$V-4-windows-x64-binaries.zip

if ! [ -d "$OSGEO4W_REP" ]; then
	echo no repository
	exit 1
fi

for a in x86 x86_64; do
		mkdir -p $OSGEO4W_REP/$a/release/$P

		cat <<EOF >$OSGEO4W_REP/$a/release/$P/setup.hint
sdesc: "The libpq library for accessing PostgreSQL + psql commandline client"
ldesc: "The libpq library for accessing PostgreSQL + psql commandline client"
maintainer: $MAINTAINER
category: Libs Commandline_Utilities
requires: msvcrt2015
EOF

		/bin/tar -cvjf $OSGEO4W_REP/$a/release/$P/$P-$V-$B-src.tar.bz2 \
				package.sh
done

FILES="
	pgsql/include/internal/
	pgsql/include/libpq/
	pgsql/include/libpq-events.h
	pgsql/include/libpq-fe.h
	pgsql/include/pg_config.h
	pgsql/include/pg_config_ext.h
	pgsql/include/pg_config_manual.h
	pgsql/include/pg_config_os.h
	pgsql/include/postgres_ext.h
	pgsql/lib/libpq.lib
	pgsql/bin/libpq.dll
	pgsql/bin/libiconv-2.dll
	pgsql/bin/libintl-8.dll
	pgsql/bin/psql.exe
"

unzip postgresql-$V-4-windows-binaries.zip $FILES

/bin/tar -cvjf $OSGEO4W_REP/x86/release/$P/$P-$V-$B.tar.bz2 \
		--remove-files \
		--xform s,^pgsql,., \
		pgsql

unzip postgresql-$V-4-windows-x64-binaries.zip $FILES

/bin/tar -cvjf $OSGEO4W_REP/x86_64/release/$P/$P-$V-$B.tar.bz2 \
		--remove-files \
		--xform s,^pgsql,., \
		pgsql

date
